Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE  (gelezen 2379 keer)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Gepost op: 2010/04/03, 00:02:13 »
Voor diegenen die Oracle (Sun) Java JRE gebruiken: er is een belangrijke veiligheidsupdate, nummer 19 inmiddels update 20. In Karmic alleen handmatig te installeren:
http://sites.google.com/site/computertip/java
« Laatst bewerkt op: 2010/04/17, 11:04:29 door Pjotr »

jesse2314

  • Gast
Re: Veiligheidsupdate 19 voor Oracle (Sun) Java JRE
« Reactie #1 Gepost op: 2010/04/03, 08:43:15 »
Voor diegenen die Oracle (Sun) Java JRE gebruiken: er is een belangrijke veiligheidsupdate, nummer 19. In Karmic alleen handmatig te installeren:
http://sites.google.com/site/computertip/java
Bedankt voor het nieuws ;) en volgens mij ben jij nog steeds actief hier geweldig =D

Offline jannenman63

  • Lid
  • Steunpunt: Nee
Re: Veiligheidsupdate 19 voor Oracle (Sun) Java JRE
« Reactie #2 Gepost op: 2010/04/03, 17:20:12 »
bedankt , heb gelijk de update door gevoerd .

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Veiligheidsupdate 19 voor Oracle (Sun) Java JRE
« Reactie #3 Gepost op: 2010/04/03, 20:11:07 »
En de OpenJDK gebruikers moeten hem ook handmatig installeren. Want onze grote vriend Matthias Klose heeft zojuist update 18 naar buiten gebracht, terwijl 19 al uit is.
https://launchpad.net/~openjdk/+archive/ppa/+packages

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: Veiligheidsupdate 19 voor Oracle (Sun) Java JRE
« Reactie #4 Gepost op: 2010/04/03, 22:26:10 »
De 19 is ook nog niet in Lucid. 8)
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.4 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.

Offline Willy4

  • Lid
  • Steunpunt: Nee
Re: Veiligheidsupdate 19 voor Oracle (Sun) Java JRE
« Reactie #5 Gepost op: 2010/04/17, 10:01:25 »
Ik heb geen idee in hoeverre het belangrijk is voor de veiligheid, maar voor de liefhebbers: Versie 20 is uit :)
Groet,

Willy.
1)Asus N53SV, Intel Core I7 - 2630QM - 2.0Ghz , 6GB RAM, 750GB HD / Optimus: nVidia GeForce GT540M / Intel VGA controler /Ubuntu 14.04/ Windows7
2)2× Intel(R) Pentium(R) 4 / CPU: 3.00GHz /  Samsung SyncMaster 930BF /  nVidia GeForce 7300 GT / Logitech Z-10 USB Speakers / 300GHz Sata350 (Ubuntu 12.04 / Xubuntu 14.04) / 250GHz Sata1 (opslag)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #6 Gepost op: 2010/04/17, 11:02:11 »
Ik heb geen idee in hoeverre het belangrijk is voor de veiligheid, maar voor de liefhebbers: Versie 20 is uit :)
Groet,

Willy.

Klopt. Maar qua veiligheid schijnt 6 update 20 alleen voor Windows van belang te zijn. Verder zitten er ook nog wat andersoortige verbeteringen in, dus het kan interessant zijn om op te waarderen.

Mijn handleiding heb ik daarom bijgewerkt: http://sites.google.com/site/computertip/java
Daarin heb ik tevens verwerkt, dat in 10.04 JRE is overgeheveld naar de partner-pakketbron. Daar zit trouwens nog steeds 6 update 19 in....

jesse2314

  • Gast
Re: Veiligheidsupdate 19 voor Oracle (Sun) Java JRE
« Reactie #7 Gepost op: 2010/04/17, 11:03:19 »
Pjotr, ben je hier weer actief?

Offline Tom

  • Lid
    • Wanda´s Blog Linux Xubuntu. ♥
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #8 Gepost op: 2010/04/17, 11:28:08 »
Dan zou hij hier niet schrijven he Jesse. ???
Overigens Pjotr is altijd actief misschien iets minder op het forum ,maar daarom niet minder algemeen.
En heb geen schrik Hij houd alles in het oog.
Zo ontopic weer verder. :)
2 x Xuby 14.04.5 Lts 64 bits stand alone. 2 x Xuby 16.04.4 Lts 64 bits stand alone. ♥
https://sites.google.com/site/wandabloglinuxxubuntu/pc-s-installeren-configureren.

Offline Willy4

  • Lid
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #9 Gepost op: 2010/04/17, 11:40:49 »
Klopt. Maar qua veiligheid schijnt 6 update 20 alleen voor Windows van belang te zijn. Verder zitten er ook nog wat andersoortige verbeteringen in, dus het kan interessant zijn om op te waarderen.

Mijn handleiding heb ik daarom bijgewerkt: http://sites.google.com/site/computertip/java
Daarin heb ik tevens verwerkt, dat in 10.04 JRE is overgeheveld naar de partner-pakketbron. Daar zit trouwens nog steeds 6 update 19 in....
Sinds vorige jaar of zo er een periode was waarin SunJava6 niet meer werd ge-update door de reguliere bronnen, heb ik een Debian bron toegevoegd waar ik de updates uithaal. Die bron check ik eens in de week of twee weken en verder staat ie altijd uitgevinkt. Bij de check vanmorgen, zat deze update en ik dacht, ik meld het even ;)
Ik begrijp hieruit dat Lucid straks gewoon wordt bijgehouden dus als ik volgende maand of zo Lucid installeer, kan ik die Debian-bron gewoon weglaten. Dat is goed nieuws :)
« Laatst bewerkt op: 2010/04/17, 11:43:20 door Willy2 »
1)Asus N53SV, Intel Core I7 - 2630QM - 2.0Ghz , 6GB RAM, 750GB HD / Optimus: nVidia GeForce GT540M / Intel VGA controler /Ubuntu 14.04/ Windows7
2)2× Intel(R) Pentium(R) 4 / CPU: 3.00GHz /  Samsung SyncMaster 930BF /  nVidia GeForce 7300 GT / Logitech Z-10 USB Speakers / 300GHz Sata350 (Ubuntu 12.04 / Xubuntu 14.04) / 250GHz Sata1 (opslag)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #10 Gepost op: 2010/04/17, 12:20:02 »
Ik begrijp hieruit dat Lucid straks gewoon wordt bijgehouden

Dat is nog maar zeer de vraag.... De partnerbron wordt soms slecht bijgehouden; de verantwoordelijkheid ligt bij de partnerbedrijven, en die zijn soms onverantwoordelijk traag met updates. Kijk bijvoorbeeld maar eens op welke versie de Nederlandstalige Adobe Reader staat in de partnerbron.

Canonical zet voluit in op OpenJDK. Als je liever JRE wil, dan blijft het uitkijken geblazen. Ook in 10.04.

Offline Willy4

  • Lid
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #11 Gepost op: 2010/04/17, 12:35:51 »
Dat is nog maar zeer de vraag.... De partnerbron wordt soms slecht bijgehouden; de verantwoordelijkheid ligt bij de partnerbedrijven, en die zijn soms onverantwoordelijk traag met updates. Kijk bijvoorbeeld maar eens op welke versie de Nederlandstalige Adobe Reader staat in de partnerbron.

Canonical zet voluit in op OpenJDK. Als je liever JRE wil, dan blijft het uitkijken geblazen. Ook in 10.04.
Ik kijk vrij veel tv via internet en er zijn daarbij nogal wat sites die Java gebruiken. Met SunJava nog nooit problemen gehad, maar misschien is dat OpenJDK wel even goed. Zal daar binnenkort eens naar gaan kijken. Mocht het niet bevallen en blijft Lucid in gebreke wat betreft de updates dan kan ik altijd weer terugvallen op de Debian-softwarebronnen. ;)
1)Asus N53SV, Intel Core I7 - 2630QM - 2.0Ghz , 6GB RAM, 750GB HD / Optimus: nVidia GeForce GT540M / Intel VGA controler /Ubuntu 14.04/ Windows7
2)2× Intel(R) Pentium(R) 4 / CPU: 3.00GHz /  Samsung SyncMaster 930BF /  nVidia GeForce 7300 GT / Logitech Z-10 USB Speakers / 300GHz Sata350 (Ubuntu 12.04 / Xubuntu 14.04) / 250GHz Sata1 (opslag)

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #12 Gepost op: 2010/04/17, 20:09:07 »
Inderdaad Pjotr.

Zelfs Lotus Symphony wordt niet echt bijgewerkt in de Partner-bron en hij is alleen in het Engels beschikbaar; vanaf de website van LS kun je hem ook in andere talen downloaden.

Offline Mikkel

  • Lid
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #13 Gepost op: 2010/07/24, 17:57:09 »
Pjotr, naar aanleiding van dit topic: http://forum.ubuntu-nl.org/software-en-configuratie/java-handmatig-updaten/msg629915/#new heb ik versie 21 gedownload en (zoals bij alle vorige versies, probleemloos  ^-^ ) geïnstalleerd volgens jouw handleiding.
In versie 21 gaat het bij het laatste commando voordat de licentieovereenkomst moet verschijnen, echter anders dan bij de vorige versies. Géén licentieovereenkomst, maar een heel verhaal in de terminal:
extracting: jre1.6.0_21/lib/zi/Asia/Kuala_Lumpur  
 extracting: jre1.6.0_21/lib/zi/Asia/Brunei  
  inflating: jre1.6.0_21/lib/zi/Asia/Almaty  
 extracting: jre1.6.0_21/lib/zi/Asia/Ho_Chi_Minh  
  inflating: jre1.6.0_21/lib/zi/Asia/Aqtau  
  inflating: jre1.6.0_21/lib/zi/Asia/Tbilisi  
  inflating: jre1.6.0_21/lib/zi/Asia/Baghdad  
 extracting: jre1.6.0_21/lib/zi/Asia/Kolkata  
  inflating: jre1.6.0_21/lib/zi/Asia/Dhaka  
  inflating: jre1.6.0_21/lib/zi/Asia/Pyongyang  
 extracting: jre1.6.0_21/lib/zi/Asia/Singapore  
  inflating: jre1.6.0_21/lib/zi/Asia/Dushanbe  
  inflating: jre1.6.0_21/lib/zi/Asia/Yakutsk  
  inflating: jre1.6.0_21/lib/zi/Asia/Novokuznetsk  
  inflating: jre1.6.0_21/lib/zi/Asia/Magadan  
  inflating: jre1.6.0_21/lib/zi/Asia/Yekaterinburg  
  inflating: jre1.6.0_21/lib/zi/Asia/Vladivostok  
  inflating: jre1.6.0_21/lib/zi/Asia/Anadyr  
  inflating: jre1.6.0_21/lib/zi/Asia/Omsk  
  inflating: jre1.6.0_21/lib/zi/Asia/Novosibirsk  
  inflating: jre1.6.0_21/lib/zi/Asia/Sakhalin  
  inflating: jre1.6.0_21/lib/zi/Asia/Krasnoyarsk  
  inflating: jre1.6.0_21/lib/zi/Asia/Irkutsk  
  inflating: jre1.6.0_21/lib/zi/Asia/Kamchatka  
  inflating: jre1.6.0_21/lib/zi/Asia/Riyadh87  
  inflating: jre1.6.0_21/lib/zi/Asia/Riyadh88  
  inflating: jre1.6.0_21/lib/zi/Asia/Riyadh89  
   creating: jre1.6.0_21/lib/zi/Atlantic/
  inflating: jre1.6.0_21/lib/zi/Atlantic/St_Helena  
 extracting: jre1.6.0_21/lib/zi/Atlantic/Cape_Verde  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Faroe  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Reykjavik  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Canary  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Azores  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Madeira  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Bermuda  
  inflating: jre1.6.0_21/lib/zi/Atlantic/South_Georgia  
  inflating: jre1.6.0_21/lib/zi/Atlantic/Stanley  
   creating: jre1.6.0_21/lib/zi/Australia/
  inflating: jre1.6.0_21/lib/zi/Australia/Lindeman  
  inflating: jre1.6.0_21/lib/zi/Australia/Hobart  
  inflating: jre1.6.0_21/lib/zi/Australia/Melbourne  
  inflating: jre1.6.0_21/lib/zi/Australia/Perth  
 

enzovoort, enzovoort enzovoort................


Done.


Ga je daarna verder met de volgende commando's uit je handleiding, dan blijkt de installatie gewoon goed te zijn gegaan. In Firefox's about:plugins staat versie 21 vermeld.
Misschien een idee om dat punt in je handleiding aan te passen?

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #14 Gepost op: 2010/07/24, 18:10:45 »
Ik zal er eens naar kijken.... Bedankt voor de melding!  :)

Offline Mikkel

  • Lid
  • Steunpunt: Nee
Re: Veiligheidsupdate 20 voor Oracle (Sun) Java JRE
« Reactie #15 Gepost op: 2010/07/24, 20:10:15 »
Het 'gekke' is dat Sun onder de Instructies-link (http://www.java.com/nl/download/linux_manual.jsp?locale=nl&host=www.java.com) nog steeds die licentieovereenkomst noemt. Daarom dacht ik in eerste instantie dat ik iets verkeerd had gedaan (alhoewel ik 100% zeker wist het juiste bestand te hebben gedownload), heb /java weer verwijderd uit /opt en een nieuw bestand gedownload bij Sun. Het ging echter op precies hetzelfde punt anders dan in de handleiding staat. ???
Ik gebruik trouwens Ubuntu 8.04 en Firefox 3.6.7, mocht dat iets uitmaken.


Edit: en om het verhaal volledig en nóg merkwaardiger te maken.......
Bij de versiecontrole (op http://www.java.com/nl/download/installed.jsp ) kwam er (na het uitschakelen van NoScript) geen melding van de versie die op m'n systeem gevonden was, maar een gele balk bovenin beeld met de mededeling dat er een media plugin (o.i.d.) ontbrak. ??? Plus een knop om die ontbrekende plugin te installeren.
Zowel die gele balk als het verhaal over een ontbrekende plugin waren nieuw voor me, maar toch maar op die knop geklikt. Toen verscheen er een venster waarmee ik 'IceTea webbrowser' (of zoiets, ik weet de juiste naam niet meer precies) 'moest' installeren............ ??? Dat venster heb ik geannuleerd. Ik heb altijd de Java-versie van de site van Sun gebruikt, nooit OpenJDK en/of icedtea, maar nog nóóit zo'n 'IceTea'-venster zien verschijnen. ???

Maar wat het helemaal 'compleet' maakt: volgens about:plugins was er helemaal geen Java geïnstalleerd. :o Terwijl ik versie 20 toch écht heb geïnstalleerd toen hier in april werd gemeld dat die er was. ??? En toen ook echt heb gecontroleerd of de Java-versie die in about:plugins stond was gewijzigd naar versie 20.
Ik mag een boon zijn als ik dit snap. Wat kan een geïnstalleerde Java-versie nou 'spontaan' doen verdwijnen? ???
« Laatst bewerkt op: 2010/07/24, 20:52:42 door Mikkel »